Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.roller.presentation.weblog
Class TrackbackServlet  view TrackbackServlet download TrackbackServlet.java

java.lang.Object
  extended byjavax.servlet.GenericServlet
      extended byjavax.servlet.http.HttpServlet
          extended byorg.roller.presentation.weblog.TrackbackServlet
All Implemented Interfaces:
java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class TrackbackServlet
extends javax.servlet.http.HttpServlet

Roller's Trackback server implementation. POSTing to this Servlet will add a Trackback to a Weblog Entrty. For more info on Trackback, read the spec:
Field Summary
static java.lang.String BLOJSOM_TRACKBACK_MESSAGE
          Key under which the trackback error message will be placed (example: on the request for the JSPDispatcher)
static java.lang.String BLOJSOM_TRACKBACK_RETURN_CODE
          Key under which the trackback return code will be placed (example: on the request for the JSPDispatcher)
private static java.lang.String TRACKBACK_BLOG_NAME_PARAM
          Request parameter for the trackback "blog_name"
private static java.lang.String TRACKBACK_EXCERPT_PARAM
          Request parameter for the trackback "excerpt"
private static java.lang.String TRACKBACK_FAILURE_PAGE
          Trackback failure page
private static java.lang.String TRACKBACK_PARAM
          Request parameter to indicate a trackback "tb"
private static java.lang.String TRACKBACK_SUCCESS_PAGE
          Trackback success page
private static java.lang.String TRACKBACK_TITLE_PARAM
          Request parameter for the trackback "title"
private static java.lang.String TRACKBACK_URL_PARAM
          Request parameter for the trackback "url"
 
Fields inherited from class javax.servlet.http.HttpServlet
 
Fields inherited from class javax.servlet.GenericServlet
 
Constructor Summary
TrackbackServlet()
          Constructor.
 
Method Summary
protected  void doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)
          POSTing to this Servlet will add a Trackback to a Weblog Entrty.
protected  void doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)
          POSTing to this Servlet will add a Trackback to a Weblog Entrty.
 
Methods inherited from class javax.servlet.http.HttpServlet
doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service
 
Methods inherited from class javax.servlet.GenericServlet
destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

TRACKBACK_PARAM

private static final java.lang.String TRACKBACK_PARAM
Request parameter to indicate a trackback "tb"

See Also:
Constant Field Values

TRACKBACK_TITLE_PARAM

private static final java.lang.String TRACKBACK_TITLE_PARAM
Request parameter for the trackback "title"

See Also:
Constant Field Values

TRACKBACK_EXCERPT_PARAM

private static final java.lang.String TRACKBACK_EXCERPT_PARAM
Request parameter for the trackback "excerpt"

See Also:
Constant Field Values

TRACKBACK_URL_PARAM

private static final java.lang.String TRACKBACK_URL_PARAM
Request parameter for the trackback "url"

See Also:
Constant Field Values

TRACKBACK_BLOG_NAME_PARAM

private static final java.lang.String TRACKBACK_BLOG_NAME_PARAM
Request parameter for the trackback "blog_name"

See Also:
Constant Field Values

BLOJSOM_TRACKBACK_RETURN_CODE

public static final java.lang.String BLOJSOM_TRACKBACK_RETURN_CODE
Key under which the trackback return code will be placed (example: on the request for the JSPDispatcher)

See Also:
Constant Field Values

BLOJSOM_TRACKBACK_MESSAGE

public static final java.lang.String BLOJSOM_TRACKBACK_MESSAGE
Key under which the trackback error message will be placed (example: on the request for the JSPDispatcher)

See Also:
Constant Field Values

TRACKBACK_SUCCESS_PAGE

private static final java.lang.String TRACKBACK_SUCCESS_PAGE
Trackback success page

See Also:
Constant Field Values

TRACKBACK_FAILURE_PAGE

private static final java.lang.String TRACKBACK_FAILURE_PAGE
Trackback failure page

See Also:
Constant Field Values
Constructor Detail

TrackbackServlet

public TrackbackServlet()
Constructor.

Method Detail

doGet

protected void doGet(javax.servlet.http.HttpServletRequest req,
                     javax.servlet.http.HttpServletResponse res)
              throws javax.servlet.ServletException,
                     java.io.IOException
POSTing to this Servlet will add a Trackback to a Weblog Entrty.


doPost

protected void doPost(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws javax.servlet.ServletException,
                      java.io.IOException
POSTing to this Servlet will add a Trackback to a Weblog Entrty.